<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/">
	<HTML>
		<HEAD>
			<title>LAS AF Report</title>
			<script type="text/javascript">
				var visible = 0;
				function Show()
				{
					if(visible == 0)
					{
						window.document.getElementById("ID_2").style.display = "block";
						visible = 1;
					}
					else
					{	
						window.document.getElementById("ID_2").style.display = "none";
						visible = 0;
					}
				}
			</script>
		</HEAD>
		<BODY topmargin="0px" leftmargin="0px" bgcolor="#EEEEEE">
		<xsl:apply-templates/>
		</BODY>
	</HTML>
</xsl:template>

<xsl:template  match="ReportList">
	<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">
		<TR>
			<TD>
				<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
					<TR>
						<TD height="30" align="center" valign="center" style="font-family: arial, helvetica; font-size: 11pt; font-weight: normal; padding: 5px;">
              <xsl:value-of select="@ReportStr"/>: <b><u><xsl:value-of select="@FileName"/></u></b> - <xsl:value-of select="@CreatedOnStr"/> <xsl:value-of select="@Date"/> <xsl:value-of select="@Time"/></TD>
						<TD align="center" valign="center" rowspan="2"><A href="http://www.confocal-microscopy.com/" target="about:blank"><IMG src="LeicaLogo.jpg" border="0" alt="Leica Microsystems Heidelberg GmbH"/></A></TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
	</TABLE>			
	<xsl:element name="HR"/>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="UserInfo">
	<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5">
		<TR>
			<TD style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><a href="javascript:Show()">
        <xsl:value-of select="@LegendInformationStr"/></a></TD>
		</TR>
	</TABLE>
	<DIV ID="ID_2" style="display:none;">
		<BR></BR>
		<TABLE  width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">		
			<TR>
				<TD>
					<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
						<TR>	
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="UserName"><xsl:value-of select="@UserName"/></xsl:attribute><xsl:value-of select="@UserStr"/>:</TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@UserName"/></TD>
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Comment1"><xsl:value-of select="@Comment1"/></xsl:attribute><xsl:value-of select="@CommentsStr"/>:</TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Comment1"/></TD>						
						</TR>
						<TR>	
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Institute"><xsl:value-of select="@Institute"/></xsl:attribute><xsl:value-of select="@InstituteStr"/>:</TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Institute"/></TD>
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Comment2"><xsl:value-of select="@Comment2"/></xsl:attribute></TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Comment2"/></TD>												
						</TR>
						<TR>	
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Address1"><xsl:value-of select="@Address1"/></xsl:attribute><xsl:value-of select="@AddressStr"/>:</TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Address1"/></TD>
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Comment3"><xsl:value-of select="@Comment3"/></xsl:attribute></TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Comment3"/></TD>												
						</TR>
						<TR>	
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Address2"><xsl:value-of select="@Address2"/></xsl:attribute></TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Address2"/></TD>
							<TD WIDTH="10%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;"><xsl:attribute name="Comment4"><xsl:value-of select="@Comment4"/></xsl:attribute></TD>
							<TD WIDTH="40%" style="font-family: arial, helvetica; font-size: 10pt; font-weight: normal; padding: 5px;"><xsl:value-of select="@Comment4"/></TD>												
						</TR>															
					</TABLE>
				</TD>			
			</TR>
		</TABLE>
		<BR></BR>
		<BR></BR>
	</DIV>
	<BR></BR>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="Images">
	<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">
		<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold;">
			<TD><xsl:value-of select="@ImagesStr"/></TD> 
		</TR>
		<TR>
			<TD>
				<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
					<xsl:apply-templates/>
				</TABLE>	
			</TD>
		</TR>
	</TABLE>
	<BR></BR>
</xsl:template>		
		
<xsl:template match="Group">	
	<TR>		
		<xsl:for-each select="Link">
			<xsl:element name="TD">
				<xsl:attribute name="align">center</xsl:attribute>
				<xsl:attribute name="HEIGHT">220</xsl:attribute>
				<xsl:attribute name="WIDTH">50%</xsl:attribute>				
				<xsl:if test="@Brief[.='FRET Efficency']">					
					<xsl:attribute name="colspan">2</xsl:attribute>	
				</xsl:if>
				<xsl:element name="a">
					<xsl:attribute name="HREF"><xsl:value-of select="@Ref"/></xsl:attribute>
					<xsl:element name="img">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="src"><xsl:value-of select="@Name"/></xsl:attribute>						
						<xsl:attribute name="vspace">0</xsl:attribute>
						<xsl:attribute name="alt"><xsl:value-of select="@Brief"/></xsl:attribute>								
					</xsl:element>
					<xsl:element name="p">
						<xsl:attribute name="style">font-family: arial, helvetica; font-size: 9pt; font-weight: bold;</xsl:attribute>
						<xsl:value-of select="@Brief"/>
					</xsl:element>
				</xsl:element>									
			</xsl:element>
		</xsl:for-each>							
	</TR>	
	<xsl:apply-templates/>				
</xsl:template>

<xsl:template  match="Table">
	<xsl:choose>
		<xsl:when test="@Hierarchy[.='1']">
			<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">
				<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
					<TD><xsl:value-of select="@Head"/></TD> 
				</TR>
				<TR>
					<TD>
						<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
							<TR>
								<xsl:for-each select="/ReportList/Report/InfoPic/Link">
									<TD align="center">										
										<xsl:element name="img">
											<xsl:attribute name="border">0</xsl:attribute>
											<xsl:attribute name="src"><xsl:value-of select="@Name"/></xsl:attribute>																		
											<xsl:attribute name="alt"><xsl:value-of select="@Brief"/></xsl:attribute>
										</xsl:element>																
									</TD>
								</xsl:for-each>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR>
					<TD>
						<TABLE width="100%" align="center" border="1" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
							<TR>		
								<xsl:apply-templates/>
							</TR>
						</TABLE>
					</TD>			
				</TR>	
			</TABLE>
			<BR></BR>
		</xsl:when>

		<xsl:when test="@Hierarchy[.='0']">
			<xsl:if test="@RealPosition[.='0']">
				<TD WIDTH="250">
					<TABLE width="250" align="left" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
						<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
							<TD align="left" style="color: #000000" height="30"></TD>
						</TR>
						<xsl:for-each select="Entry">
							<xsl:element name="TR">
								<xsl:attribute name="style">font-family: arial, helvetica; font-size: 9pt; font-weight: bold; padding: 5px;</xsl:attribute>
								<xsl:element name="TD">
									<xsl:attribute name="height">30</xsl:attribute>
									<xsl:value-of select="@Name"/>
								</xsl:element>	
							</xsl:element>
						</xsl:for-each>	
					</TABLE>
				</TD>
			</xsl:if>			
			<TD>
				<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
					<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
						<TD align="left" height="30"><xsl:value-of select="@Head"/> <xsl:value-of select="@Brief"/></TD> 
					</TR>
					<xsl:apply-templates/>
				</TABLE>
			</TD>
		</xsl:when>
		
		<xsl:otherwise>
				<xsl:apply-templates/>
		</xsl:otherwise>

	</xsl:choose>
	
</xsl:template>

<xsl:template  match="Entry">
	<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px; color: blue">
		<TD height="30">
			<xsl:value-of select="@Value"/><xsl:text> </xsl:text><xsl:value-of select="@Unit"/>	
		</TD>
	</TR>
</xsl:template>

<xsl:template  match="EventTable">
	<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">
		<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
			<TD><xsl:value-of select="@Head"/></TD> 
		</TR>
		<TR>
			<TD>
				<TABLE width="100%" align="center" border="1" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
					<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">		
						<TD WIDTH="150"> Name</TD>
						<TD WIDTH="80"> Time </TD>
						<TD WIDTH="80"> Type </TD>
						<TD> Description </TD>
					</TR>

					<xsl:for-each select="EventEntry">
						<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px; color: blue">		
							<TD WIDTH="150">
								<xsl:value-of select="@Name"/>
							</TD>
							<TD WIDTH="80"> <xsl:value-of select="@Time"/> </TD>
							<TD WIDTH="80"> <xsl:value-of select="@Type"/></TD>
							<TD> <xsl:value-of select="@Description"/> </TD>
						</TR>
					</xsl:for-each>	
				</TABLE>
			</TD>			
		</TR>	
	</TABLE>
	<BR></BR>

</xsl:template>

<xsl:template match="Parameter">
	<TABLE width="90%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#DDDAD7">
		<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
			<TD><xsl:value-of select="@Brief"/></TD> 
		</TR>
		<TR>
			<TD>
				<TABLE width="100%" align="center" border="1" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
					<TR valign="top">
						<xsl:apply-templates/>
					</TR>
				</TABLE>
			</TD>
		</TR>
	</TABLE>
</xsl:template>


<xsl:template match="ScanInfos">
	<TD width="33%">
		<TABLE width="100%" align="center" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">
			<TR style="font-family: arial, helvetica; font-size: 10pt; font-weight: bold; padding: 5px;">
				<TD colspan="2"><u><xsl:value-of select="@Mode"/></u></TD>
			</TR>
			<xsl:for-each select="ScanInfo">
				<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px;">
					<TD width="40%"><b><xsl:value-of select="@Name"/></b></TD> 
					<TD style="color: blue;"><xsl:value-of select="@Value"/></TD> 
				</TR>
			</xsl:for-each>	
			<xsl:apply-templates/>
		</TABLE>
	</TD>		
</xsl:template>

<xsl:template match="LaserList">
	<xsl:for-each select="Laser">
		<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px;">
			<TD width="20%"><b><xsl:value-of select="@Type"/> (<xsl:value-of select="@WaveLength"/>)</b></TD>  
			<TD style="color: blue;"><xsl:value-of select="@Intensity"/></TD> 
		</TR>
	</xsl:for-each>
	<xsl:apply-templates/>		
</xsl:template>

<xsl:template match="ChannelList">
	<xsl:for-each select="Channel">
		<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px;">
			<TD width="20%"><b><xsl:value-of select="@Type"/>Emission Band (Left)</b></TD>  
			<TD style="color: blue;"><xsl:value-of select="@Left"/></TD> 
		</TR>
		<TR style="font-family: arial, helvetica; font-size: 9pt; font-weight: normal; padding: 5px;">
			<TD width="20%"><b><xsl:value-of select="@Type"/>Emission Band (Right)</b></TD>  
			<TD style="color: blue;"><xsl:value-of select="@Right"/></TD> 
		</TR>				
	</xsl:for-each>
	<xsl:apply-templates/>		
</xsl:template>

</xsl:stylesheet>
